Subject: Re: bug#23929: 25.0.95; Doc of run-at-time doesn't describe behaviour if system was sleeping at time

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 08 Jul 2021 02:44:46 +0200

[email-masked] (N. Jackson) writes:

> I would be more reassured if I saw text along the following lines
> in the manual entry (provided it is true):
>
>     "If Emacs didn't get any CPU time when the timer would have
>     run (for example if the system was busy running another
>     process or if the computer was sleeping or in a suspended
>     state), the timer will run (late) as soon as Emacs resumes and
>     is idle."

If I remember correctly, that is true, so I've added your text to the
manual in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no